/*************************************************************************
 *
 *    (c) Olimex Ltd. 2010
 *
 *    File name   : TaskControls.h
 *    Description : Common data structures to control task communications
 *
 *    History :
 *    1. Date        : 21 July 2010
 *       Author      : Aleksandar Mitev
 *       Description : Create
 *
 **************************************************************************/

#ifndef _TASK_CONTROLS_H
#define _TASK_CONTROLS_H

extern xSemaphoreHandle xMutexParallelPort;

/*************************************************************************
 * Function Name: TaskControlsInit(..)
 * Parameters: none
 *
 * Return: none
 *
 * Return:	0 if sucessfully created, -1 if error occured 
 *
 *************************************************************************/
char TaskControlsInit(void);

#endif // _TASK_CONTROLS_H


